Failed to install S ...
 
Notificaciones
remove all
[ WELCOME - PLEASE READ THE FORUM DISCUSSION RULES - CLICK HERE - FIND OR SHARE SOLUTIONS]

REMEMBER, THE FORUM IS NOT JUST TO ASK QUESTIONS, ALSO TO HELP OTHERS IF YOU KNOW THE SOLUTION

IF YOU EXPERIENCE VISUALIZATION ISSUES VIEWING THE FORUM PLEASE CLEAR YOUR BROWSER'S CACHE

Errors [Resuelto] Failed to install Snapcraft


Tech Apps
Answers: 6
Registered
Thread starter
(@techapps)
Active member
Registrado: hace 5 meses

Hello friends, I am a developer, and for my linux apps I need to use snap to distribute them so I need to install snapcraft but when I try to install it I get the following error:

I appreciate your help in advance

error: cannot perform the following tasks: - Mount snap "snapcraft" (6281) (snap "snapcraft" assumes unsupported features: snapd2.39 (try to update snapd and refresh the core snap))
Answer
2 Respuestas
2 Replies
Эли
Admin
(@Eli)
Registered: 3 years ago

Admired Member
Respuestas: 1658

@techapps Hello,

Please try the following:

sudo snap install core snapd

If you say that "Core"is already installed then:

sudo snap refresh core

And then:

sudo snap install snapd

Then you should be able to install Snapcraft.

Let me know if I can help you.

Greetings.

Answer
Tech Apps
Registered
(@techapps)
Registrado: hace 5 meses

Active member
Answers: 6

@eli Of course I will try and I appreciate your help 😀

Answer